---
title: App Settings
---

## Settings

The *Settings* view provides access to user configurable settings, in addition to information about the app itself.

The main settings view is shown below, and provides the following options:

- **Server** - Configure and select server profile 
- **App Settings** - Configure app settings
- **About** - Information about the InvenTree app
- **Documentation** - Opens the InvenTree documentation in an external browser

{% with id="settings_view", url="app/settings.jpg", maxheight="240px", description="Settings view" %}
{% include 'img.html' %}
{% endwith %}

## App Settings

The *App Settings* view provides configuration options for the InvenTree app:

{% with id="app_settings", url="app/app_settings.jpg", maxheight="240px", description="App Settings" %}
{% include 'img.html' %}
{% endwith %}

### Sounds

Configure audible app notifications:

- **Server Error** - Play an audible tone when a server error occurs
- **Barcode Tones** - Play audible tones when scanning barcodes

## About

The *About* view provides details about the app itself:

{% with id="about_app", url="app/about.jpg", maxheight="240px", description="About the InvenTree app" %}
{% include 'img.html' %}
{% endwith %}

### Server Details

- **Address** - URL of the currently connected server
- **Version** - Version of InvenTree software running on the server
- **Server Instance** - Instance name of the server

### App Details

- **Package Name** - Package identifier for the compiled app
- **Version** - App software version
- **Release Notes** - Select to view app release notes
- **Credits** - Select to view additional app credits
