---
title: Suppliers
---

## Suppliers

A supplier is an external **vendor** of parts and raw materials.

To access the supplier page, click on the "Buy" navigation tab and click on "Suppliers" option in the dropdown list.

!!! warning
	**Viewing**, **adding**, **editing** and **deleting** suppliers require the corresponding [Purchase Orders user permissions](../admin/permissions.md)

### Add Supplier

Once the supplier page is loaded, click on the "<span class='fas fa-plus-circle'></span> New Supplier" button: the "Create new Supplier" form opens. Fill-in the supplier informations (`Company name` and `Company description` are required) then click on the "Submit" button.

!!! info "Supplier vs Manufacturer"
	In the case the supplier is a manufacturer who sells directly to customers, you may want to enable the checkbox `is manufacturer` before submitting the form (you can also enable it later on).

### Edit Supplier

To edit a supplier, click on its name in the list of suppliers.

After the supplier details are loaded, click on the <span class='fas fa-edit'></span> icon under the supplier name. Edit the supplier information then click on the "Submit" button.

### Delete Supplier

!!! warning
	All supplier parts for this supplier will also be deleted!

To delete a supplier, click on its name in the list of suppliers.

After the supplier details are loaded, click on the <span class='fas fa-trash-alt'></span> icon under the supplier name. Review the list of supplier parts to be deleted in consequence of deleting this supplier. Confirm the deletion using the checkbox then click on the "Submit" button.

## Supplier Parts

Supplier parts are linked to a supplier and defined as purchasable items.

!!! warning
	**Viewing**, **adding**, **editing** and **deleting** supplier parts require the corresponding [Purchase Orders user permissions](../admin/permissions.md)

### Add Supplier Part

To create a supplier part, you have the following options:

1. navigate to a Part detail page then click on the "Suppliers" tab
0. navigate to a Supplier detail page then click on the "Supplied Parts" tab
0. navigate to a Manufacturer detail page then click on the "Supplied Parts" tab.

Whichever you pick, click on the "<span class='fas fa-plus-circle'></span> New Supplier Part" button to load the "Create new Supplier Part" form. Fill out the form with the supplier part information then click on the "Submit" button.

### Edit Supplier Part

To edit a supplier part, first access the supplier part detail page with one of the following options:

1. navigate to a Part detail page, click on the "Suppliers" tab then click on the corresponding "Supplier Part" link
0. navigate to a Supplier detail page, click on the "Supplied Parts" tab then click on the corresponding "Supplier Part" link
0. navigate to a Manufacturer detail page, click on the "Supplied Parts" tab then click on the corresponding "Supplier Part" link.

After the supplier part details are loaded, click on the <span class='fas fa-edit'></span> icon next to the supplier part image. Edit the supplier part information then click on the "Submit" button.

### Delete Supplier Part

To delete a supplier part, first access the supplier part detail page like in the [Edit Supplier Part](#edit-supplier-part) section.

After the supplier part details are loaded, click on the <span class='fas fa-trash-alt'></span> icon next to the supplier part image. Review the the information for the supplier part to be deleted, confirm the deletion using the checkbox then click on the "Submit" button.
